Skip to main content

Order Location Call-to-Action Providers

API Description​

After requesting an ordered list of providers of calls-to-action (CTA) associated with a location, use this API to set your preferred ordering of providers.

View this API within the context of a recommended workflow here.

note

This API is restricted to location owners and delegated partners

  • API request SHOULD list all CTAs and providers supplied to you by Get CTAs API.
  • If present in a list of CTAs, by default, an OWNER provided flexible action link is array index 0. API request MUST NOT reorder an OWNER provided flexible action link.

Request​

URI Parameters​

NameInput
orgId
REQUIRED
locationId
REQUIRED
Path Template
PUT {url}/api/{version}/orgs/{orgId}/locations/{locationId}/calls-to-action/order-providers
Path Example
PUT {url}/api/v1/orgs/9467895078742654934/locations/9467895078742654976/calls-to-action/order-providers

Request Headers​

NameInput
Authorization
REQUIRED
Content-Type
REQUIRED
Example Request Headers
Authorization: Bearer <access_token>
Content-Type: application/json

Request Body​

NameInput
$.type
REQUIRED
$.providers[]
REQUIRED

Providers​

Details describing one or more providers of action links that invoke a type of action.

NameTypeDescription
relationshipstringREQUIRED. Describes the relationship between the provider of action link and the location. Possible values: AUTHORIZED, OTHER or OWNER
appStoreUrlstringLocation of provider's application in Apple's App Store
urlstringResource location identifier used by a flexible action link. The url value is the same as an action link quicklinkUrl value
Example Request Body (raw JSON)
[
{
"type": "ORDER",
"providers": [
{
"relationship": "OWNER",
"url": "https://southerleighfinedining.com/order"
},
{
"appStoreUrl": "https://apps.apple.com/us/app/uber-eats-food-delivery/id1058959277",
"relationship": "AUTHORIZED"
},
{
"appStoreUrl": "https://apps.apple.com/us/app/yelp-food-delivery-reviews/id284910350",
"relationship": "AUTHORIZED"
}
]
}
]

Response​

204 No Content (Success) or Error

Response Headers​

Name
apple-request-id
Example Response Headers
HTTP/1.1 204 No Content
apple-request-id: bb78ec43-d648-4c4f-9f8b-1f9fa3ea70f6

Response Body​

None